<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.12.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>kmTimersCommon: X:/kmTimer3Defs.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">kmTimersCommon
   </div>
   <div id="projectbrief">kmTimersCommon library for AVR</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.12.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search',true);
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('km_timer3_defs_8h.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">X:/kmTimer3Defs.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Common definitions for Timers. <a class="el" href="km_timer3_defs_8h.html" title="Common definitions for Timers. kmTimer3Defs.h.">kmTimer3Defs.h</a>.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;../kmCommon/kmCommon.h&quot;</code><br />
<code>#include &quot;../kmCpu/kmCpuDefs.h&quot;</code><br />
</div>
<p><a href="km_timer3_defs_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a984e8632dda0d6eac51af3286dfdd000" id="r_a984e8632dda0d6eac51af3286dfdd000"><td class="memItemLeft" align="right" valign="top"><a id="a984e8632dda0d6eac51af3286dfdd000" name="a984e8632dda0d6eac51af3286dfdd000"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>TIMSK3</b></td></tr>
<tr class="separator:a984e8632dda0d6eac51af3286dfdd000"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0378377e313aeef12d5a0de57a1e1904" id="r_a0378377e313aeef12d5a0de57a1e1904"><td class="memItemLeft" align="right" valign="top"><a id="a0378377e313aeef12d5a0de57a1e1904" name="a0378377e313aeef12d5a0de57a1e1904"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>COM3C0</b></td></tr>
<tr class="separator:a0378377e313aeef12d5a0de57a1e1904"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1790739c5da129d8cffc87fccb82622d" id="r_a1790739c5da129d8cffc87fccb82622d"><td class="memItemLeft" align="right" valign="top"><a id="a1790739c5da129d8cffc87fccb82622d" name="a1790739c5da129d8cffc87fccb82622d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_CPU_AVR_LAYOUT_100</b></td></tr>
<tr class="separator:a1790739c5da129d8cffc87fccb82622d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad44e8cbdfe543311029af7db7b6495d3" id="r_ad44e8cbdfe543311029af7db7b6495d3"><td class="memItemLeft" align="right" valign="top"><a id="ad44e8cbdfe543311029af7db7b6495d3" name="ad44e8cbdfe543311029af7db7b6495d3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER3_BOTTOM</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a6a4c8cf84fb8cc96685de933f429df9c">KM_TCC_BOTOM</a></td></tr>
<tr class="memdesc:ad44e8cbdfe543311029af7db7b6495d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines bottom value for Timer3. <br /></td></tr>
<tr class="separator:ad44e8cbdfe543311029af7db7b6495d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9a49cc2efda79a0ff252b11303a59ca" id="r_ac9a49cc2efda79a0ff252b11303a59ca"><td class="memItemLeft" align="right" valign="top"><a id="ac9a49cc2efda79a0ff252b11303a59ca" name="ac9a49cc2efda79a0ff252b11303a59ca"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER3_MAX</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">KM_TCC_TOP_3</a></td></tr>
<tr class="memdesc:ac9a49cc2efda79a0ff252b11303a59ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines top value for Timer3. <br /></td></tr>
<tr class="separator:ac9a49cc2efda79a0ff252b11303a59ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a195b1c007658a02f9d992815fadbaa31" id="r_a195b1c007658a02f9d992815fadbaa31"><td class="memItemLeft" align="right" valign="top"><a id="a195b1c007658a02f9d992815fadbaa31" name="a195b1c007658a02f9d992815fadbaa31"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER3_TOP_8_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#ac3e5a65645a34d1b863e5d5edb18cda3">KM_TCC_TOP_1</a></td></tr>
<tr class="separator:a195b1c007658a02f9d992815fadbaa31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28d6744bdde0aec435c950b9c4b054a8" id="r_a28d6744bdde0aec435c950b9c4b054a8"><td class="memItemLeft" align="right" valign="top"><a id="a28d6744bdde0aec435c950b9c4b054a8" name="a28d6744bdde0aec435c950b9c4b054a8"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER3_TOP_9_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a04f810cdda0a757c02bfe3bfdc3d43b1">KM_TCC_TOP_5</a></td></tr>
<tr class="separator:a28d6744bdde0aec435c950b9c4b054a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb4332e9f06d385d7f07c2ec4bcf08c5" id="r_adb4332e9f06d385d7f07c2ec4bcf08c5"><td class="memItemLeft" align="right" valign="top"><a id="adb4332e9f06d385d7f07c2ec4bcf08c5" name="adb4332e9f06d385d7f07c2ec4bcf08c5"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER3_TOP_10_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a26a06431ee77d5cb04cc2fe62c3e8ecd">KM_TCC_TOP_4</a></td></tr>
<tr class="separator:adb4332e9f06d385d7f07c2ec4bcf08c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bf9533c4a2fb2770edafce3779608c9" id="r_a9bf9533c4a2fb2770edafce3779608c9"><td class="memItemLeft" align="right" valign="top"><a id="a9bf9533c4a2fb2770edafce3779608c9" name="a9bf9533c4a2fb2770edafce3779608c9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER3_TOP_16_BIT</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#addcf737b04dbddb61c2746df1d48b64f">KM_TCC_TOP_3</a></td></tr>
<tr class="separator:a9bf9533c4a2fb2770edafce3779608c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93b06d513004e43d752f24239eaf145c" id="r_a93b06d513004e43d752f24239eaf145c"><td class="memItemLeft" align="right" valign="top"><a id="a93b06d513004e43d752f24239eaf145c" name="a93b06d513004e43d752f24239eaf145c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TIMER3_MID</b>&#160;&#160;&#160;<a class="el" href="km_timer_defs_8h.html#a1c5d0cb0398e739d6de912f0be341688">KM_TCC_MID_3</a></td></tr>
<tr class="memdesc:a93b06d513004e43d752f24239eaf145c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Defines mid value for Timer3. <br /></td></tr>
<tr class="separator:a93b06d513004e43d752f24239eaf145c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4cd0840ec8f5b18acc586780561b923" id="r_af4cd0840ec8f5b18acc586780561b923"><td class="memItemLeft" align="right" valign="top"><a id="af4cd0840ec8f5b18acc586780561b923" name="af4cd0840ec8f5b18acc586780561b923"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_STOP</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED				)</td></tr>
<tr class="memdesc:af4cd0840ec8f5b18acc586780561b923"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer3 - Disabled. <br /></td></tr>
<tr class="separator:af4cd0840ec8f5b18acc586780561b923"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb6f3c3f7f48ec2b95b4911751ee6954" id="r_aeb6f3c3f7f48ec2b95b4911751ee6954"><td class="memItemLeft" align="right" valign="top"><a id="aeb6f3c3f7f48ec2b95b4911751ee6954" name="aeb6f3c3f7f48ec2b95b4911751ee6954"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PRSC_1</b>&#160;&#160;&#160;(						_BV(CS30)	)</td></tr>
<tr class="memdesc:aeb6f3c3f7f48ec2b95b4911751ee6954"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer3 - Prescaler 1 / 1. <br /></td></tr>
<tr class="separator:aeb6f3c3f7f48ec2b95b4911751ee6954"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae1a937b4844c5a3c75eebfa2c4524e7" id="r_aae1a937b4844c5a3c75eebfa2c4524e7"><td class="memItemLeft" align="right" valign="top"><a id="aae1a937b4844c5a3c75eebfa2c4524e7" name="aae1a937b4844c5a3c75eebfa2c4524e7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PRSC_8</b>&#160;&#160;&#160;(			_BV(CS31)				)</td></tr>
<tr class="memdesc:aae1a937b4844c5a3c75eebfa2c4524e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer3 - Prescaler 1 / 8. <br /></td></tr>
<tr class="separator:aae1a937b4844c5a3c75eebfa2c4524e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace6183c49b3f03a994aebdcd95a9032f" id="r_ace6183c49b3f03a994aebdcd95a9032f"><td class="memItemLeft" align="right" valign="top"><a id="ace6183c49b3f03a994aebdcd95a9032f" name="ace6183c49b3f03a994aebdcd95a9032f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PRSC_64</b>&#160;&#160;&#160;(				_BV(CS31) |	_BV(CS30)	)</td></tr>
<tr class="memdesc:ace6183c49b3f03a994aebdcd95a9032f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer3 - Prescaler 1 / 64. <br /></td></tr>
<tr class="separator:ace6183c49b3f03a994aebdcd95a9032f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a364ebf3d0d5348001db8796e910fe5df" id="r_a364ebf3d0d5348001db8796e910fe5df"><td class="memItemLeft" align="right" valign="top"><a id="a364ebf3d0d5348001db8796e910fe5df" name="a364ebf3d0d5348001db8796e910fe5df"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PRSC_256</b>&#160;&#160;&#160;(_BV(CS32)							)</td></tr>
<tr class="memdesc:a364ebf3d0d5348001db8796e910fe5df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer3 - Prescaler 1 / 256. <br /></td></tr>
<tr class="separator:a364ebf3d0d5348001db8796e910fe5df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d3ebf865c5d03f97a56d49bff8fe3ef" id="r_a7d3ebf865c5d03f97a56d49bff8fe3ef"><td class="memItemLeft" align="right" valign="top"><a id="a7d3ebf865c5d03f97a56d49bff8fe3ef" name="a7d3ebf865c5d03f97a56d49bff8fe3ef"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PRSC_1024</b>&#160;&#160;&#160;(_BV(CS32) |			_BV(CS30)	)</td></tr>
<tr class="memdesc:a7d3ebf865c5d03f97a56d49bff8fe3ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer3 - Prescaler 1 / 1024. <br /></td></tr>
<tr class="separator:a7d3ebf865c5d03f97a56d49bff8fe3ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69a4b013d48e07c03943ab13e1200cbd" id="r_a69a4b013d48e07c03943ab13e1200cbd"><td class="memItemLeft" align="right" valign="top"><a id="a69a4b013d48e07c03943ab13e1200cbd" name="a69a4b013d48e07c03943ab13e1200cbd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_EXT_T3_FAL</b>&#160;&#160;&#160;(_BV(CS32) |_BV(CS31)				)</td></tr>
<tr class="memdesc:a69a4b013d48e07c03943ab13e1200cbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer3 - Enabled on falling signal. <br /></td></tr>
<tr class="separator:a69a4b013d48e07c03943ab13e1200cbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaac0abe3f6bb0ace2bc6a710cab0a099" id="r_aaac0abe3f6bb0ace2bc6a710cab0a099"><td class="memItemLeft" align="right" valign="top"><a id="aaac0abe3f6bb0ace2bc6a710cab0a099" name="aaac0abe3f6bb0ace2bc6a710cab0a099"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_EXT_T3_RIS</b>&#160;&#160;&#160;(_BV(CS32) |_BV(CS31) |	_BV(CS30)	)</td></tr>
<tr class="memdesc:aaac0abe3f6bb0ace2bc6a710cab0a099"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clock select of Timer3 - Enabled on rising signal. <br /></td></tr>
<tr class="separator:aaac0abe3f6bb0ace2bc6a710cab0a099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eabb23e97deae2d6f9e8d383d71a005" id="r_a8eabb23e97deae2d6f9e8d383d71a005"><td class="memItemLeft" align="right" valign="top"><a id="a8eabb23e97deae2d6f9e8d383d71a005" name="a8eabb23e97deae2d6f9e8d383d71a005"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_CS_MASK</b>&#160;&#160;&#160;<a class="el" href="#aaac0abe3f6bb0ace2bc6a710cab0a099">KM_TCC3_EXT_T3_RIS</a></td></tr>
<tr class="memdesc:a8eabb23e97deae2d6f9e8d383d71a005"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prescaler mask for Timer3 (allows to clear prescaler) <br /></td></tr>
<tr class="separator:a8eabb23e97deae2d6f9e8d383d71a005"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b2f35d65e6b13fd53dc3abd1802b445" id="r_a0b2f35d65e6b13fd53dc3abd1802b445"><td class="memItemLeft" align="right" valign="top"><a id="a0b2f35d65e6b13fd53dc3abd1802b445" name="a0b2f35d65e6b13fd53dc3abd1802b445"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_0_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a0b2f35d65e6b13fd53dc3abd1802b445"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 0 (Reg.A) - Normal top value 0xFFFF. <br /></td></tr>
<tr class="separator:a0b2f35d65e6b13fd53dc3abd1802b445"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0242359743a804e973cd23c6a9e2be8b" id="r_a0242359743a804e973cd23c6a9e2be8b"><td class="memItemLeft" align="right" valign="top"><a id="a0242359743a804e973cd23c6a9e2be8b" name="a0242359743a804e973cd23c6a9e2be8b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_0_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a0242359743a804e973cd23c6a9e2be8b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 0 (Reg.B) <br /></td></tr>
<tr class="separator:a0242359743a804e973cd23c6a9e2be8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5bba2bc082e17fe5fb26e9111b8dcdf" id="r_ab5bba2bc082e17fe5fb26e9111b8dcdf"><td class="memItemLeft" align="right" valign="top"><a id="ab5bba2bc082e17fe5fb26e9111b8dcdf" name="ab5bba2bc082e17fe5fb26e9111b8dcdf"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_1_A</b>&#160;&#160;&#160;(												_BV(WGM30)	)</td></tr>
<tr class="memdesc:ab5bba2bc082e17fe5fb26e9111b8dcdf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 1 (Reg.A) - PWM, Phase Correct, 8-bit top value 0x00FF. <br /></td></tr>
<tr class="separator:ab5bba2bc082e17fe5fb26e9111b8dcdf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78e66c48fcc330dcf16523950fe7b91" id="r_ad78e66c48fcc330dcf16523950fe7b91"><td class="memItemLeft" align="right" valign="top"><a id="ad78e66c48fcc330dcf16523950fe7b91" name="ad78e66c48fcc330dcf16523950fe7b91"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_1_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ad78e66c48fcc330dcf16523950fe7b91"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 1 (Reg.B) <br /></td></tr>
<tr class="separator:ad78e66c48fcc330dcf16523950fe7b91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f6432e9aa5a4ec3594d77802d5270cc" id="r_a5f6432e9aa5a4ec3594d77802d5270cc"><td class="memItemLeft" align="right" valign="top"><a id="a5f6432e9aa5a4ec3594d77802d5270cc" name="a5f6432e9aa5a4ec3594d77802d5270cc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_2_A</b>&#160;&#160;&#160;(								_BV(WGM31)					)</td></tr>
<tr class="memdesc:a5f6432e9aa5a4ec3594d77802d5270cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 2 (Reg.A) - PWM, Phase Correct, 9-bit top value 0x01FF. <br /></td></tr>
<tr class="separator:a5f6432e9aa5a4ec3594d77802d5270cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add1a45806d06b34eaf1293f2975ec092" id="r_add1a45806d06b34eaf1293f2975ec092"><td class="memItemLeft" align="right" valign="top"><a id="add1a45806d06b34eaf1293f2975ec092" name="add1a45806d06b34eaf1293f2975ec092"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_2_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:add1a45806d06b34eaf1293f2975ec092"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 2 (Reg.B) <br /></td></tr>
<tr class="separator:add1a45806d06b34eaf1293f2975ec092"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a901fe1c19e116ac768496f18bfa6eb42" id="r_a901fe1c19e116ac768496f18bfa6eb42"><td class="memItemLeft" align="right" valign="top"><a id="a901fe1c19e116ac768496f18bfa6eb42" name="a901fe1c19e116ac768496f18bfa6eb42"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_3_A</b>&#160;&#160;&#160;(								_BV(WGM31) |	_BV(WGM30)	)</td></tr>
<tr class="memdesc:a901fe1c19e116ac768496f18bfa6eb42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 3 (Reg.A) - PWM, Phase Correct, 10-bit top value 0x03FF. <br /></td></tr>
<tr class="separator:a901fe1c19e116ac768496f18bfa6eb42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889e6424ba64e679b8cc2328164dd6cc" id="r_a889e6424ba64e679b8cc2328164dd6cc"><td class="memItemLeft" align="right" valign="top"><a id="a889e6424ba64e679b8cc2328164dd6cc" name="a889e6424ba64e679b8cc2328164dd6cc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_3_B</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:a889e6424ba64e679b8cc2328164dd6cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 3 (Reg.B) <br /></td></tr>
<tr class="separator:a889e6424ba64e679b8cc2328164dd6cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7ec1078446082f04863a49ada55eee6" id="r_ae7ec1078446082f04863a49ada55eee6"><td class="memItemLeft" align="right" valign="top"><a id="ae7ec1078446082f04863a49ada55eee6" name="ae7ec1078446082f04863a49ada55eee6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_4_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED										)</td></tr>
<tr class="memdesc:ae7ec1078446082f04863a49ada55eee6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 4 (Reg.A) - CTC with OCR3A as top. <br /></td></tr>
<tr class="separator:ae7ec1078446082f04863a49ada55eee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00fe19a0378225876ae845cd729d6c0d" id="r_a00fe19a0378225876ae845cd729d6c0d"><td class="memItemLeft" align="right" valign="top"><a id="a00fe19a0378225876ae845cd729d6c0d" name="a00fe19a0378225876ae845cd729d6c0d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_4_B</b>&#160;&#160;&#160;(				_BV(WGM32)									)</td></tr>
<tr class="memdesc:a00fe19a0378225876ae845cd729d6c0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 4 (Reg.B) <br /></td></tr>
<tr class="separator:a00fe19a0378225876ae845cd729d6c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae078598369a6026f34ee1092cc37601d" id="r_ae078598369a6026f34ee1092cc37601d"><td class="memItemLeft" align="right" valign="top"><a id="ae078598369a6026f34ee1092cc37601d" name="ae078598369a6026f34ee1092cc37601d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_5_A</b>&#160;&#160;&#160;(												_BV(WGM30)	)</td></tr>
<tr class="memdesc:ae078598369a6026f34ee1092cc37601d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 5 (Reg.A) - Fast PWM, 8-bit top value 0x00FF. <br /></td></tr>
<tr class="separator:ae078598369a6026f34ee1092cc37601d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15041ef7f63e6eb9f6b1bed01a780982" id="r_a15041ef7f63e6eb9f6b1bed01a780982"><td class="memItemLeft" align="right" valign="top"><a id="a15041ef7f63e6eb9f6b1bed01a780982" name="a15041ef7f63e6eb9f6b1bed01a780982"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_5_B</b>&#160;&#160;&#160;(				_BV(WGM32)									)</td></tr>
<tr class="memdesc:a15041ef7f63e6eb9f6b1bed01a780982"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 5 (Reg.B) <br /></td></tr>
<tr class="separator:a15041ef7f63e6eb9f6b1bed01a780982"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3b3f54c13d26075cd86348e908cd6cc" id="r_af3b3f54c13d26075cd86348e908cd6cc"><td class="memItemLeft" align="right" valign="top"><a id="af3b3f54c13d26075cd86348e908cd6cc" name="af3b3f54c13d26075cd86348e908cd6cc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_6_A</b>&#160;&#160;&#160;(								_BV(WGM31)					)</td></tr>
<tr class="memdesc:af3b3f54c13d26075cd86348e908cd6cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 6 (Reg.A) - Fast PWM, 9-bit top value 0x01FF. <br /></td></tr>
<tr class="separator:af3b3f54c13d26075cd86348e908cd6cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9df15e8013ef67738136ec99821c753a" id="r_a9df15e8013ef67738136ec99821c753a"><td class="memItemLeft" align="right" valign="top"><a id="a9df15e8013ef67738136ec99821c753a" name="a9df15e8013ef67738136ec99821c753a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_6_B</b>&#160;&#160;&#160;(				_BV(WGM32)									)</td></tr>
<tr class="memdesc:a9df15e8013ef67738136ec99821c753a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 5 (Reg.B) <br /></td></tr>
<tr class="separator:a9df15e8013ef67738136ec99821c753a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a207cc36ff9d0849319ad394d263f20" id="r_a3a207cc36ff9d0849319ad394d263f20"><td class="memItemLeft" align="right" valign="top"><a id="a3a207cc36ff9d0849319ad394d263f20" name="a3a207cc36ff9d0849319ad394d263f20"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_7_A</b>&#160;&#160;&#160;(								_BV(WGM31) |	_BV(WGM30)	)</td></tr>
<tr class="memdesc:a3a207cc36ff9d0849319ad394d263f20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 7 (Reg.A) - Fast PWM, 10-bit top value 0x03FF. <br /></td></tr>
<tr class="separator:a3a207cc36ff9d0849319ad394d263f20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac403bd985b29f7168b87445eb082bc13" id="r_ac403bd985b29f7168b87445eb082bc13"><td class="memItemLeft" align="right" valign="top"><a id="ac403bd985b29f7168b87445eb082bc13" name="ac403bd985b29f7168b87445eb082bc13"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_7_B</b>&#160;&#160;&#160;(				_BV(WGM32)									)</td></tr>
<tr class="memdesc:ac403bd985b29f7168b87445eb082bc13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 7 (Reg.B) <br /></td></tr>
<tr class="separator:ac403bd985b29f7168b87445eb082bc13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7d71c80ecebe400565db568e08ef44e" id="r_ad7d71c80ecebe400565db568e08ef44e"><td class="memItemLeft" align="right" valign="top"><a id="ad7d71c80ecebe400565db568e08ef44e" name="ad7d71c80ecebe400565db568e08ef44e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_8_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:ad7d71c80ecebe400565db568e08ef44e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 8 (Reg.A) - PWM, Phase and Frequency Correct with ICR3 as top. <br /></td></tr>
<tr class="separator:ad7d71c80ecebe400565db568e08ef44e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee6ea0ce04e04033edfe98110108463" id="r_aaee6ea0ce04e04033edfe98110108463"><td class="memItemLeft" align="right" valign="top"><a id="aaee6ea0ce04e04033edfe98110108463" name="aaee6ea0ce04e04033edfe98110108463"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_8_B</b>&#160;&#160;&#160;(_BV(WGM33)													)</td></tr>
<tr class="memdesc:aaee6ea0ce04e04033edfe98110108463"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 8 (Reg.B) <br /></td></tr>
<tr class="separator:aaee6ea0ce04e04033edfe98110108463"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14d9389b4836eb9b921ebaf99c07d9a2" id="r_a14d9389b4836eb9b921ebaf99c07d9a2"><td class="memItemLeft" align="right" valign="top"><a id="a14d9389b4836eb9b921ebaf99c07d9a2" name="a14d9389b4836eb9b921ebaf99c07d9a2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_9_A</b>&#160;&#160;&#160;(												_BV(WGM30)	)</td></tr>
<tr class="memdesc:a14d9389b4836eb9b921ebaf99c07d9a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 9 (Reg.A) - PWM, Phase and Frequency Correct with OCR3A as top. <br /></td></tr>
<tr class="separator:a14d9389b4836eb9b921ebaf99c07d9a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a624682c7a38c7c8989de1fc9e802b20a" id="r_a624682c7a38c7c8989de1fc9e802b20a"><td class="memItemLeft" align="right" valign="top"><a id="a624682c7a38c7c8989de1fc9e802b20a" name="a624682c7a38c7c8989de1fc9e802b20a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_9_B</b>&#160;&#160;&#160;(_BV(WGM33)													)</td></tr>
<tr class="memdesc:a624682c7a38c7c8989de1fc9e802b20a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 9 (Reg.B) <br /></td></tr>
<tr class="separator:a624682c7a38c7c8989de1fc9e802b20a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c9acd42511a73c31f0e79ebeafc1801" id="r_a0c9acd42511a73c31f0e79ebeafc1801"><td class="memItemLeft" align="right" valign="top"><a id="a0c9acd42511a73c31f0e79ebeafc1801" name="a0c9acd42511a73c31f0e79ebeafc1801"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_A_A</b>&#160;&#160;&#160;(								_BV(WGM31)					)</td></tr>
<tr class="memdesc:a0c9acd42511a73c31f0e79ebeafc1801"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 10 (Reg.A) - PWM, Phase Correct with ICR3 as top. <br /></td></tr>
<tr class="separator:a0c9acd42511a73c31f0e79ebeafc1801"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb3ba0e9120d5260ddb65a96525b135" id="r_abeb3ba0e9120d5260ddb65a96525b135"><td class="memItemLeft" align="right" valign="top"><a id="abeb3ba0e9120d5260ddb65a96525b135" name="abeb3ba0e9120d5260ddb65a96525b135"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_A_B</b>&#160;&#160;&#160;(_BV(WGM33)													)</td></tr>
<tr class="memdesc:abeb3ba0e9120d5260ddb65a96525b135"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 10 (Reg.B) <br /></td></tr>
<tr class="separator:abeb3ba0e9120d5260ddb65a96525b135"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14f2a3864f97ec7376a9917a98aa6456" id="r_a14f2a3864f97ec7376a9917a98aa6456"><td class="memItemLeft" align="right" valign="top"><a id="a14f2a3864f97ec7376a9917a98aa6456" name="a14f2a3864f97ec7376a9917a98aa6456"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_B_A</b>&#160;&#160;&#160;(								_BV(WGM31) |	_BV(WGM30)	)</td></tr>
<tr class="memdesc:a14f2a3864f97ec7376a9917a98aa6456"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 11 (Reg.A) - PWM, Phase Correct with OCR3A as top. <br /></td></tr>
<tr class="separator:a14f2a3864f97ec7376a9917a98aa6456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b38ac786c4bb13e7d7e20a1bf725f6a" id="r_a2b38ac786c4bb13e7d7e20a1bf725f6a"><td class="memItemLeft" align="right" valign="top"><a id="a2b38ac786c4bb13e7d7e20a1bf725f6a" name="a2b38ac786c4bb13e7d7e20a1bf725f6a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_B_B</b>&#160;&#160;&#160;(_BV(WGM33)													)</td></tr>
<tr class="memdesc:a2b38ac786c4bb13e7d7e20a1bf725f6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 11 (Reg.B) <br /></td></tr>
<tr class="separator:a2b38ac786c4bb13e7d7e20a1bf725f6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2ec11b9f6cdf17942ff2ecfd3ad5410" id="r_ad2ec11b9f6cdf17942ff2ecfd3ad5410"><td class="memItemLeft" align="right" valign="top"><a id="ad2ec11b9f6cdf17942ff2ecfd3ad5410" name="ad2ec11b9f6cdf17942ff2ecfd3ad5410"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_C_A</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED									)</td></tr>
<tr class="memdesc:ad2ec11b9f6cdf17942ff2ecfd3ad5410"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 12 (Reg.A) - CTC with ICR3 as top. <br /></td></tr>
<tr class="separator:ad2ec11b9f6cdf17942ff2ecfd3ad5410"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af18f0de863a49ead35fa30648a73d8a3" id="r_af18f0de863a49ead35fa30648a73d8a3"><td class="memItemLeft" align="right" valign="top"><a id="af18f0de863a49ead35fa30648a73d8a3" name="af18f0de863a49ead35fa30648a73d8a3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_C_B</b>&#160;&#160;&#160;(_BV(WGM33) |	_BV(WGM32)									)</td></tr>
<tr class="memdesc:af18f0de863a49ead35fa30648a73d8a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 12 (Reg.B) <br /></td></tr>
<tr class="separator:af18f0de863a49ead35fa30648a73d8a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35fef601962cc3cc1c4378d618c6e736" id="r_a35fef601962cc3cc1c4378d618c6e736"><td class="memItemLeft" align="right" valign="top"><a id="a35fef601962cc3cc1c4378d618c6e736" name="a35fef601962cc3cc1c4378d618c6e736"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_D_A</b>&#160;&#160;&#160;(												_BV(WGM30)	)</td></tr>
<tr class="memdesc:a35fef601962cc3cc1c4378d618c6e736"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 13 (Reg.A) - Reserved. <br /></td></tr>
<tr class="separator:a35fef601962cc3cc1c4378d618c6e736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52475f822949b0b98f99b21a373bfdc4" id="r_a52475f822949b0b98f99b21a373bfdc4"><td class="memItemLeft" align="right" valign="top"><a id="a52475f822949b0b98f99b21a373bfdc4" name="a52475f822949b0b98f99b21a373bfdc4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_D_B</b>&#160;&#160;&#160;(_BV(WGM33) |	_BV(WGM32)									)</td></tr>
<tr class="memdesc:a52475f822949b0b98f99b21a373bfdc4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 13 (Reg.B) <br /></td></tr>
<tr class="separator:a52475f822949b0b98f99b21a373bfdc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9e86a134e2caf350ec48353583bcbf1" id="r_ad9e86a134e2caf350ec48353583bcbf1"><td class="memItemLeft" align="right" valign="top"><a id="ad9e86a134e2caf350ec48353583bcbf1" name="ad9e86a134e2caf350ec48353583bcbf1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_E_A</b>&#160;&#160;&#160;(								_BV(WGM31)					)</td></tr>
<tr class="memdesc:ad9e86a134e2caf350ec48353583bcbf1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 14 (Reg.A) - Fast PWM with ICR3 as top. <br /></td></tr>
<tr class="separator:ad9e86a134e2caf350ec48353583bcbf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d752e5444bb1a2543789140540c9d2c" id="r_a5d752e5444bb1a2543789140540c9d2c"><td class="memItemLeft" align="right" valign="top"><a id="a5d752e5444bb1a2543789140540c9d2c" name="a5d752e5444bb1a2543789140540c9d2c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_E_B</b>&#160;&#160;&#160;(_BV(WGM33) |	_BV(WGM32)									)</td></tr>
<tr class="memdesc:a5d752e5444bb1a2543789140540c9d2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 14 (Reg.B) <br /></td></tr>
<tr class="separator:a5d752e5444bb1a2543789140540c9d2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc216a7edd7e8c4539384c54249dd0d1" id="r_abc216a7edd7e8c4539384c54249dd0d1"><td class="memItemLeft" align="right" valign="top"><a id="abc216a7edd7e8c4539384c54249dd0d1" name="abc216a7edd7e8c4539384c54249dd0d1"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_F_A</b>&#160;&#160;&#160;(								_BV(WGM31) |	_BV(WGM30)	)</td></tr>
<tr class="memdesc:abc216a7edd7e8c4539384c54249dd0d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 15 (Reg.A) - Fast PWM with OCR3A as top. <br /></td></tr>
<tr class="separator:abc216a7edd7e8c4539384c54249dd0d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5edc738658aa0695f89f038bde1b8096" id="r_a5edc738658aa0695f89f038bde1b8096"><td class="memItemLeft" align="right" valign="top"><a id="a5edc738658aa0695f89f038bde1b8096" name="a5edc738658aa0695f89f038bde1b8096"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_F_B</b>&#160;&#160;&#160;(_BV(WGM33) |	_BV(WGM32)									)</td></tr>
<tr class="memdesc:a5edc738658aa0695f89f038bde1b8096"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer3 mode 15 (Reg.B) <br /></td></tr>
<tr class="separator:a5edc738658aa0695f89f038bde1b8096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40f1e72f5631c12f527b73ea65d2a5d" id="r_ab40f1e72f5631c12f527b73ea65d2a5d"><td class="memItemLeft" align="right" valign="top"><a id="ab40f1e72f5631c12f527b73ea65d2a5d" name="ab40f1e72f5631c12f527b73ea65d2a5d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_MASK_A</b>&#160;&#160;&#160;<a class="el" href="#abc216a7edd7e8c4539384c54249dd0d1">KM_TCC3_MODE_F_A</a></td></tr>
<tr class="memdesc:ab40f1e72f5631c12f527b73ea65d2a5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer3 (reg. A) (helps to clear mode) <br /></td></tr>
<tr class="separator:ab40f1e72f5631c12f527b73ea65d2a5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45bdabf2ca91abf963e6b293c912bfb6" id="r_a45bdabf2ca91abf963e6b293c912bfb6"><td class="memItemLeft" align="right" valign="top"><a id="a45bdabf2ca91abf963e6b293c912bfb6" name="a45bdabf2ca91abf963e6b293c912bfb6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_MODE_MASK_B</b>&#160;&#160;&#160;<a class="el" href="#a5edc738658aa0695f89f038bde1b8096">KM_TCC3_MODE_F_B</a></td></tr>
<tr class="memdesc:a45bdabf2ca91abf963e6b293c912bfb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mode mask for Timer3 (reg. B) <br /></td></tr>
<tr class="separator:a45bdabf2ca91abf963e6b293c912bfb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8188603546169b1ac3ed4527e34c9a9" id="r_aa8188603546169b1ac3ed4527e34c9a9"><td class="memItemLeft" align="right" valign="top"><a id="aa8188603546169b1ac3ed4527e34c9a9" name="aa8188603546169b1ac3ed4527e34c9a9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_A_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:aa8188603546169b1ac3ed4527e34c9a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:aa8188603546169b1ac3ed4527e34c9a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a323e4b6b4b3c8253658c6c0a76aca751" id="r_a323e4b6b4b3c8253658c6c0a76aca751"><td class="memItemLeft" align="right" valign="top"><a id="a323e4b6b4b3c8253658c6c0a76aca751" name="a323e4b6b4b3c8253658c6c0a76aca751"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_A_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM3A0)	)</td></tr>
<tr class="memdesc:a323e4b6b4b3c8253658c6c0a76aca751"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1A on compare match. <br /></td></tr>
<tr class="separator:a323e4b6b4b3c8253658c6c0a76aca751"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfe9fec33f5641f320bdc13045d815ab" id="r_adfe9fec33f5641f320bdc13045d815ab"><td class="memItemLeft" align="right" valign="top"><a id="adfe9fec33f5641f320bdc13045d815ab" name="adfe9fec33f5641f320bdc13045d815ab"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_A_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM3A1)				)</td></tr>
<tr class="memdesc:adfe9fec33f5641f320bdc13045d815ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1A on compare match (set output to low level) <br /></td></tr>
<tr class="separator:adfe9fec33f5641f320bdc13045d815ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad06f678ac6fc947ac444a27a13a1c237" id="r_ad06f678ac6fc947ac444a27a13a1c237"><td class="memItemLeft" align="right" valign="top"><a id="ad06f678ac6fc947ac444a27a13a1c237" name="ad06f678ac6fc947ac444a27a13a1c237"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_A_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM3A1) |	_BV(COM3A0)	)</td></tr>
<tr class="memdesc:ad06f678ac6fc947ac444a27a13a1c237"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1A on compare match (set output to high level) <br /></td></tr>
<tr class="separator:ad06f678ac6fc947ac444a27a13a1c237"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a252abb128076246a5d8e408326c266e9" id="r_a252abb128076246a5d8e408326c266e9"><td class="memItemLeft" align="right" valign="top"><a id="a252abb128076246a5d8e408326c266e9" name="a252abb128076246a5d8e408326c266e9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_COMP_A_MASK</b>&#160;&#160;&#160;<a class="el" href="#ad06f678ac6fc947ac444a27a13a1c237">KM_TCC3_A_COMP_OUT_SET</a></td></tr>
<tr class="separator:a252abb128076246a5d8e408326c266e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06bf393fb7637c232454dde85d3ca4cd" id="r_a06bf393fb7637c232454dde85d3ca4cd"><td class="memItemLeft" align="right" valign="top"><a id="a06bf393fb7637c232454dde85d3ca4cd" name="a06bf393fb7637c232454dde85d3ca4cd"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_B_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a06bf393fb7637c232454dde85d3ca4cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:a06bf393fb7637c232454dde85d3ca4cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5facc1d0d548603f62adccbc3109e4be" id="r_a5facc1d0d548603f62adccbc3109e4be"><td class="memItemLeft" align="right" valign="top"><a id="a5facc1d0d548603f62adccbc3109e4be" name="a5facc1d0d548603f62adccbc3109e4be"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_B_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM3B0)	)</td></tr>
<tr class="memdesc:a5facc1d0d548603f62adccbc3109e4be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1B on compare match. <br /></td></tr>
<tr class="separator:a5facc1d0d548603f62adccbc3109e4be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a537c44bf707b05a0cba9349d28118129" id="r_a537c44bf707b05a0cba9349d28118129"><td class="memItemLeft" align="right" valign="top"><a id="a537c44bf707b05a0cba9349d28118129" name="a537c44bf707b05a0cba9349d28118129"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_B_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM3B1)				)</td></tr>
<tr class="memdesc:a537c44bf707b05a0cba9349d28118129"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a537c44bf707b05a0cba9349d28118129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fe8edc777b4367e3894fc937e549b7f" id="r_a4fe8edc777b4367e3894fc937e549b7f"><td class="memItemLeft" align="right" valign="top"><a id="a4fe8edc777b4367e3894fc937e549b7f" name="a4fe8edc777b4367e3894fc937e549b7f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_B_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM3B1) |	_BV(COM3B0)	)</td></tr>
<tr class="memdesc:a4fe8edc777b4367e3894fc937e549b7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a4fe8edc777b4367e3894fc937e549b7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1f54be459b593a0961e56504a77b183" id="r_af1f54be459b593a0961e56504a77b183"><td class="memItemLeft" align="right" valign="top"><a id="af1f54be459b593a0961e56504a77b183" name="af1f54be459b593a0961e56504a77b183"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_COMP_B_MASK</b>&#160;&#160;&#160;<a class="el" href="#a4fe8edc777b4367e3894fc937e549b7f">KM_TCC3_B_COMP_OUT_SET</a></td></tr>
<tr class="separator:af1f54be459b593a0961e56504a77b183"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c2d87cb91577c1698700fc40eb3f7d4" id="r_a1c2d87cb91577c1698700fc40eb3f7d4"><td class="memItemLeft" align="right" valign="top"><a id="a1c2d87cb91577c1698700fc40eb3f7d4" name="a1c2d87cb91577c1698700fc40eb3f7d4"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_C_COMP_OUT_NONE</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a1c2d87cb91577c1698700fc40eb3f7d4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match. <br /></td></tr>
<tr class="separator:a1c2d87cb91577c1698700fc40eb3f7d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a012af1c84858f8f3d8630a72b48030e2" id="r_a012af1c84858f8f3d8630a72b48030e2"><td class="memItemLeft" align="right" valign="top"><a id="a012af1c84858f8f3d8630a72b48030e2" name="a012af1c84858f8f3d8630a72b48030e2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_C_COMP_OUT_TOGGLE</b>&#160;&#160;&#160;(				_BV(COM3C0)	)</td></tr>
<tr class="memdesc:a012af1c84858f8f3d8630a72b48030e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle OC1B on compare match. <br /></td></tr>
<tr class="separator:a012af1c84858f8f3d8630a72b48030e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c81db185ae57656b3acd2e598faf3ac" id="r_a2c81db185ae57656b3acd2e598faf3ac"><td class="memItemLeft" align="right" valign="top"><a id="a2c81db185ae57656b3acd2e598faf3ac" name="a2c81db185ae57656b3acd2e598faf3ac"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_C_COMP_OUT_CLEAR</b>&#160;&#160;&#160;(_BV(COM3C1)				)</td></tr>
<tr class="memdesc:a2c81db185ae57656b3acd2e598faf3ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear OC1B on compare match (set output to low level) <br /></td></tr>
<tr class="separator:a2c81db185ae57656b3acd2e598faf3ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5cc13b7ac15a83fe70cf1f80e45c9ee0" id="r_a5cc13b7ac15a83fe70cf1f80e45c9ee0"><td class="memItemLeft" align="right" valign="top"><a id="a5cc13b7ac15a83fe70cf1f80e45c9ee0" name="a5cc13b7ac15a83fe70cf1f80e45c9ee0"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_C_COMP_OUT_SET</b>&#160;&#160;&#160;(_BV(COM3C1) |	_BV(COM3C0)	)</td></tr>
<tr class="memdesc:a5cc13b7ac15a83fe70cf1f80e45c9ee0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set OC1B on compare match (set output to high level) <br /></td></tr>
<tr class="separator:a5cc13b7ac15a83fe70cf1f80e45c9ee0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5d8bfa37701e6d94fd66f8c6bc95f62" id="r_ac5d8bfa37701e6d94fd66f8c6bc95f62"><td class="memItemLeft" align="right" valign="top"><a id="ac5d8bfa37701e6d94fd66f8c6bc95f62" name="ac5d8bfa37701e6d94fd66f8c6bc95f62"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_COMP_C_MASK</b>&#160;&#160;&#160;<a class="el" href="#a5cc13b7ac15a83fe70cf1f80e45c9ee0">KM_TCC3_C_COMP_OUT_SET</a></td></tr>
<tr class="separator:ac5d8bfa37701e6d94fd66f8c6bc95f62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78fa0aa8b30a21e7856a582e97acb8fe" id="r_a78fa0aa8b30a21e7856a582e97acb8fe"><td class="memItemLeft" align="right" valign="top"><a id="a78fa0aa8b30a21e7856a582e97acb8fe" name="a78fa0aa8b30a21e7856a582e97acb8fe"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_A_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:a78fa0aa8b30a21e7856a582e97acb8fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3A disconnected. <br /></td></tr>
<tr class="separator:a78fa0aa8b30a21e7856a582e97acb8fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf2c8268fb44337b462f97e548a744e5" id="r_acf2c8268fb44337b462f97e548a744e5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acf2c8268fb44337b462f97e548a744e5">KM_TCC3_A_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM3A0)	)</td></tr>
<tr class="separator:acf2c8268fb44337b462f97e548a744e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a656a259bf38f22c097fced5f0e437756" id="r_a656a259bf38f22c097fced5f0e437756"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a656a259bf38f22c097fced5f0e437756">KM_TCC3_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM3A1)				)</td></tr>
<tr class="separator:a656a259bf38f22c097fced5f0e437756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accf5d4572f7614fb3c66dd35683481cb" id="r_accf5d4572f7614fb3c66dd35683481cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#accf5d4572f7614fb3c66dd35683481cb">KM_TCC3_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM3A1) |	_BV(COM3A0)	)</td></tr>
<tr class="separator:accf5d4572f7614fb3c66dd35683481cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfe6405c8c765956d8aea72f28a5e7ed" id="r_abfe6405c8c765956d8aea72f28a5e7ed"><td class="memItemLeft" align="right" valign="top"><a id="abfe6405c8c765956d8aea72f28a5e7ed" name="abfe6405c8c765956d8aea72f28a5e7ed"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_B_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:abfe6405c8c765956d8aea72f28a5e7ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3B disconnected. <br /></td></tr>
<tr class="separator:abfe6405c8c765956d8aea72f28a5e7ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf3052d9b1c29c23a7d90678b02f151d" id="r_abf3052d9b1c29c23a7d90678b02f151d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abf3052d9b1c29c23a7d90678b02f151d">KM_TCC3_B_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM3B0)	)</td></tr>
<tr class="separator:abf3052d9b1c29c23a7d90678b02f151d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b4afe92503b7ce87d0c37cec66b270c" id="r_a4b4afe92503b7ce87d0c37cec66b270c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4b4afe92503b7ce87d0c37cec66b270c">KM_TCC3_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM3B1)				)</td></tr>
<tr class="separator:a4b4afe92503b7ce87d0c37cec66b270c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a977ab274a6fbf304e6d1cf4c28add525" id="r_a977ab274a6fbf304e6d1cf4c28add525"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a977ab274a6fbf304e6d1cf4c28add525">KM_TCC3_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM3B1) |	_BV(COM3B0)	)</td></tr>
<tr class="separator:a977ab274a6fbf304e6d1cf4c28add525"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0f573b91af8d6bdc9d2953f367691c6" id="r_ad0f573b91af8d6bdc9d2953f367691c6"><td class="memItemLeft" align="right" valign="top"><a id="ad0f573b91af8d6bdc9d2953f367691c6" name="ad0f573b91af8d6bdc9d2953f367691c6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_C_PWM_COMP_OUT_NORMAL</b>&#160;&#160;&#160;(KMC_ALL_BITS_CLEARED		)</td></tr>
<tr class="memdesc:ad0f573b91af8d6bdc9d2953f367691c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal port operation for compare match, OC3Cdisconnected. <br /></td></tr>
<tr class="separator:ad0f573b91af8d6bdc9d2953f367691c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32e443309579b5bbb727b122ce289029" id="r_a32e443309579b5bbb727b122ce289029"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a32e443309579b5bbb727b122ce289029">KM_TCC3_C_PWM_COMP_OUT_TOGGLE</a>&#160;&#160;&#160;(				_BV(COM3C0)	)</td></tr>
<tr class="separator:a32e443309579b5bbb727b122ce289029"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc810dcbe026e86c68faf866160d2f04" id="r_adc810dcbe026e86c68faf866160d2f04"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#adc810dcbe026e86c68faf866160d2f04">KM_TCC3_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</a>&#160;&#160;&#160;(_BV(COM3C1)				)</td></tr>
<tr class="separator:adc810dcbe026e86c68faf866160d2f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dab458f62514b85d09c4ba781556500" id="r_a7dab458f62514b85d09c4ba781556500"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7dab458f62514b85d09c4ba781556500">KM_TCC3_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</a>&#160;&#160;&#160;(_BV(COM3C1) |	_BV(COM3C0)	)</td></tr>
<tr class="separator:a7dab458f62514b85d09c4ba781556500"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4c175b314901c3553a6761e4a04ce34" id="r_af4c175b314901c3553a6761e4a04ce34"><td class="memItemLeft" align="right" valign="top"><a id="af4c175b314901c3553a6761e4a04ce34" name="af4c175b314901c3553a6761e4a04ce34"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_INT_MASK_REG</b>&#160;&#160;&#160;TIMSK3</td></tr>
<tr class="separator:af4c175b314901c3553a6761e4a04ce34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b817175ffaf3df1fc32e5a6fd172f54" id="r_a9b817175ffaf3df1fc32e5a6fd172f54"><td class="memItemLeft" align="right" valign="top"><a id="a9b817175ffaf3df1fc32e5a6fd172f54" name="a9b817175ffaf3df1fc32e5a6fd172f54"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PWM_DDR</b>&#160;&#160;&#160;DDRE</td></tr>
<tr class="memdesc:a9b817175ffaf3df1fc32e5a6fd172f54"><td class="mdescLeft">&#160;</td><td class="mdescRight">Direction register o Timer3 PWM outputs. <br /></td></tr>
<tr class="separator:a9b817175ffaf3df1fc32e5a6fd172f54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a878f9eb907ad58cc07fc4732ad2e11de" id="r_a878f9eb907ad58cc07fc4732ad2e11de"><td class="memItemLeft" align="right" valign="top"><a id="a878f9eb907ad58cc07fc4732ad2e11de" name="a878f9eb907ad58cc07fc4732ad2e11de"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PWM_PORT</b>&#160;&#160;&#160;PORTE</td></tr>
<tr class="memdesc:a878f9eb907ad58cc07fc4732ad2e11de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Port register of Timer3 PWM output port. <br /></td></tr>
<tr class="separator:a878f9eb907ad58cc07fc4732ad2e11de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a843f147c8f8afcaede470f276302e16d" id="r_a843f147c8f8afcaede470f276302e16d"><td class="memItemLeft" align="right" valign="top"><a id="a843f147c8f8afcaede470f276302e16d" name="a843f147c8f8afcaede470f276302e16d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PWM_PIN_A</b>&#160;&#160;&#160;PE3</td></tr>
<tr class="memdesc:a843f147c8f8afcaede470f276302e16d"><td class="mdescLeft">&#160;</td><td class="mdescRight">PWM pin A of Timer3. <br /></td></tr>
<tr class="separator:a843f147c8f8afcaede470f276302e16d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a455e7a006969c5786fd486fb934c1e0f" id="r_a455e7a006969c5786fd486fb934c1e0f"><td class="memItemLeft" align="right" valign="top"><a id="a455e7a006969c5786fd486fb934c1e0f" name="a455e7a006969c5786fd486fb934c1e0f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PWM_PIN_B</b>&#160;&#160;&#160;PE4</td></tr>
<tr class="memdesc:a455e7a006969c5786fd486fb934c1e0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin B of Timer3. <br /></td></tr>
<tr class="separator:a455e7a006969c5786fd486fb934c1e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5a786493a81c4ffa39aa6300a64959d" id="r_af5a786493a81c4ffa39aa6300a64959d"><td class="memItemLeft" align="right" valign="top"><a id="af5a786493a81c4ffa39aa6300a64959d" name="af5a786493a81c4ffa39aa6300a64959d"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PWM_PIN_C</b>&#160;&#160;&#160;PE5</td></tr>
<tr class="memdesc:af5a786493a81c4ffa39aa6300a64959d"><td class="mdescLeft">&#160;</td><td class="mdescRight">PMW pin C of Timer3. <br /></td></tr>
<tr class="separator:af5a786493a81c4ffa39aa6300a64959d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25ad6b7a10942072e3f909750563f4bc" id="r_a25ad6b7a10942072e3f909750563f4bc"><td class="memItemLeft" align="right" valign="top"><a id="a25ad6b7a10942072e3f909750563f4bc" name="a25ad6b7a10942072e3f909750563f4bc"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_ICP3_PIN</b>&#160;&#160;&#160;PE7</td></tr>
<tr class="memdesc:a25ad6b7a10942072e3f909750563f4bc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter3 Input Capture Pin. <br /></td></tr>
<tr class="separator:a25ad6b7a10942072e3f909750563f4bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf79691cc2734a01bf201932d9983e9" id="r_afbf79691cc2734a01bf201932d9983e9"><td class="memItemLeft" align="right" valign="top"><a id="afbf79691cc2734a01bf201932d9983e9" name="afbf79691cc2734a01bf201932d9983e9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_ICP3_PORT_DDR</b>&#160;&#160;&#160;DDRE</td></tr>
<tr class="memdesc:afbf79691cc2734a01bf201932d9983e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter3 Input Capture DDR. <br /></td></tr>
<tr class="separator:afbf79691cc2734a01bf201932d9983e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab66a0845acc99085524f659c2c10eaf3" id="r_ab66a0845acc99085524f659c2c10eaf3"><td class="memItemLeft" align="right" valign="top"><a id="ab66a0845acc99085524f659c2c10eaf3" name="ab66a0845acc99085524f659c2c10eaf3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_ICP3_PORT_OUTPUT</b>&#160;&#160;&#160;PORTE</td></tr>
<tr class="memdesc:ab66a0845acc99085524f659c2c10eaf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter3 Input Capture output port. <br /></td></tr>
<tr class="separator:ab66a0845acc99085524f659c2c10eaf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae68db796575b178820255f26e56ede6" id="r_aae68db796575b178820255f26e56ede6"><td class="memItemLeft" align="right" valign="top"><a id="aae68db796575b178820255f26e56ede6" name="aae68db796575b178820255f26e56ede6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_ICP3_PORT_INPUT</b>&#160;&#160;&#160;PINE</td></tr>
<tr class="memdesc:aae68db796575b178820255f26e56ede6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter3 Input Capture input port. <br /></td></tr>
<tr class="separator:aae68db796575b178820255f26e56ede6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d7ea72594e62fd8679e9b3fc042b8ff" id="r_a7d7ea72594e62fd8679e9b3fc042b8ff"><td class="memItemLeft" align="right" valign="top"><a id="a7d7ea72594e62fd8679e9b3fc042b8ff" name="a7d7ea72594e62fd8679e9b3fc042b8ff"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_T3_PIN</b>&#160;&#160;&#160;PE6</td></tr>
<tr class="memdesc:a7d7ea72594e62fd8679e9b3fc042b8ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timer/Counter5 Input Clock input Pin. <br /></td></tr>
<tr class="separator:a7d7ea72594e62fd8679e9b3fc042b8ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1751abc73d079ccf3b628c60bb542978" id="r_a1751abc73d079ccf3b628c60bb542978"><td class="memItemLeft" align="right" valign="top"><a id="a1751abc73d079ccf3b628c60bb542978" name="a1751abc73d079ccf3b628c60bb542978"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PWM_BV_A</b>&#160;&#160;&#160;_BV(<a class="el" href="#a843f147c8f8afcaede470f276302e16d">KM_TCC3_PWM_PIN_A</a>)</td></tr>
<tr class="memdesc:a1751abc73d079ccf3b628c60bb542978"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin A of Timer3. <br /></td></tr>
<tr class="separator:a1751abc73d079ccf3b628c60bb542978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1f9844a5cdb69e003e542387ef35582" id="r_ac1f9844a5cdb69e003e542387ef35582"><td class="memItemLeft" align="right" valign="top"><a id="ac1f9844a5cdb69e003e542387ef35582" name="ac1f9844a5cdb69e003e542387ef35582"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PWM_BV_B</b>&#160;&#160;&#160;_BV(<a class="el" href="#a455e7a006969c5786fd486fb934c1e0f">KM_TCC3_PWM_PIN_B</a>)</td></tr>
<tr class="memdesc:ac1f9844a5cdb69e003e542387ef35582"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin B of Timer3. <br /></td></tr>
<tr class="separator:ac1f9844a5cdb69e003e542387ef35582"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad593985825e09d6bde357f2a30da25e" id="r_aad593985825e09d6bde357f2a30da25e"><td class="memItemLeft" align="right" valign="top"><a id="aad593985825e09d6bde357f2a30da25e" name="aad593985825e09d6bde357f2a30da25e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>KM_TCC3_PWM_BV_C</b>&#160;&#160;&#160;_BV(<a class="el" href="#af5a786493a81c4ffa39aa6300a64959d">KM_TCC3_PWM_PIN_C</a>)</td></tr>
<tr class="memdesc:aad593985825e09d6bde357f2a30da25e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Byte value of PWM pin C of Timer3. <br /></td></tr>
<tr class="separator:aad593985825e09d6bde357f2a30da25e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Common definitions for Timers. <a class="el" href="km_timer3_defs_8h.html" title="Common definitions for Timers. kmTimer3Defs.h.">kmTimer3Defs.h</a>. </p>
<p><b>Created on</b>: Dec 10, 2023 <br  />
 <b>Author</b>: Krzysztof Moskwa <br  />
 <b>License</b>: GPL-3.0-or-later <br  />
<br  />
 kmTimersCommon library for AVR MCUs <br  />
 <b>Copyright (C) 2023 Krzysztof Moskwa</b></p>
<p>This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.</p>
<p>This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.</p>
<p>You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>. </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a656a259bf38f22c097fced5f0e437756" name="a656a259bf38f22c097fced5f0e437756"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a656a259bf38f22c097fced5f0e437756">&#9670;&#160;</a></span>KM_TCC3_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_A_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM3A1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3A on Compare Match, set OC3A at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3A on Compare Match when up-counting. Set OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="accf5d4572f7614fb3c66dd35683481cb" name="accf5d4572f7614fb3c66dd35683481cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accf5d4572f7614fb3c66dd35683481cb">&#9670;&#160;</a></span>KM_TCC3_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_A_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM3A1) |	_BV(COM3A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3A on Compare Match, clear OC3A at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC0A on Compare Match when up-counting. Clear OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="acf2c8268fb44337b462f97e548a744e5" name="acf2c8268fb44337b462f97e548a744e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf2c8268fb44337b462f97e548a744e5">&#9670;&#160;</a></span>KM_TCC3_A_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_A_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM3A0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3A Disconnected <br  />
WGM02 = 1: Toggle OC3A on Compare Match </p>

</div>
</div>
<a id="a4b4afe92503b7ce87d0c37cec66b270c" name="a4b4afe92503b7ce87d0c37cec66b270c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b4afe92503b7ce87d0c37cec66b270c">&#9670;&#160;</a></span>KM_TCC3_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_B_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM3B1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3B on Compare Match, set OC3B at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3B on Compare Match when up-counting. Set OC3B on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a977ab274a6fbf304e6d1cf4c28add525" name="a977ab274a6fbf304e6d1cf4c28add525"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a977ab274a6fbf304e6d1cf4c28add525">&#9670;&#160;</a></span>KM_TCC3_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_B_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM3B1) |	_BV(COM3B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3B on Compare Match, clear OC3B at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC3A on Compare Match when up-counting. Clear OC3A on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="abf3052d9b1c29c23a7d90678b02f151d" name="abf3052d9b1c29c23a7d90678b02f151d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf3052d9b1c29c23a7d90678b02f151d">&#9670;&#160;</a></span>KM_TCC3_B_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_B_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM3B0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3B Disconnected <br  />
WGM02 = 1: Toggle OC3B on Compare Match </p>

</div>
</div>
<a id="adc810dcbe026e86c68faf866160d2f04" name="adc810dcbe026e86c68faf866160d2f04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc810dcbe026e86c68faf866160d2f04">&#9670;&#160;</a></span>KM_TCC3_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_C_PWM_COMP_OUT_CLEAR_UP_SET_DOWN&#160;&#160;&#160;(_BV(COM3C1)				)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Clear OC3C on Compare Match, set OC3c at BOTTOM (non-inverting mode) <br  />
Phase Accurate PWM: Clear OC3C on Compare Match when up-counting. Set OC3C on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a7dab458f62514b85d09c4ba781556500" name="a7dab458f62514b85d09c4ba781556500"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dab458f62514b85d09c4ba781556500">&#9670;&#160;</a></span>KM_TCC3_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_C_PWM_COMP_OUT_SET_UP_CLEAR_DOWN&#160;&#160;&#160;(_BV(COM3C1) |	_BV(COM3C0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM: Set OC3C on Compare Match, clear OC3C at BOTTOM (inverting mode) <br  />
Phase Accurate PWM: Set OC3C on Compare Match when up-counting. Clear OC3C on <br  />
Compare Match when down-counting. </p>

</div>
</div>
<a id="a32e443309579b5bbb727b122ce289029" name="a32e443309579b5bbb727b122ce289029"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32e443309579b5bbb727b122ce289029">&#9670;&#160;</a></span>KM_TCC3_C_PWM_COMP_OUT_TOGGLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KM_TCC3_C_PWM_COMP_OUT_TOGGLE&#160;&#160;&#160;(				_BV(COM3C0)	)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Fast PWM / Phase Accurate PWM <br  />
WGM02 = 0: Normal Port Operation, OC3C Disconnected <br  />
WGM02 = 1: Toggle OC3C on Compare Match </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="km_timer3_defs_8h.html">kmTimer3Defs.h</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.12.0 </li>
  </ul>
</div>
</body>
</html>
